Package org.apache.commons.lang3.function

## Interface FailableCallable<R,​E extends java.lang.Throwable>

Type Parameters:
  `R` - Return type.
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableCallable<R,​E extends java.lang.Throwable>

A functional interface like `Callable` that declares a `Throwable`.

Since:
  3.11

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `call()` Calls the callable.

### Method Detail

#### call

    R call()
    throws E extends java.lang.Throwable

Calls the callable.

Returns:
  The value returned from the callable
Throws:
  `E` - if the callable fails
  `E extends java.lang.Throwable`